ICU 75.1 75.1

Data Structures | Public Member Functions | Friends
icu::message2::data_model::Reserved Class Reference

The `Reserved` class represents a `reserved` annotation, as in the `reserved` nonterminal in the MessageFormat 2 grammar or the `Reserved` interface defined in https://github.com/unicode-org/message-format-wg/blob/main/spec/data-model.md#expressions. More...

`#include <messageformat2_data_model.h>`

Inheritance diagram for icu::message2::data_model::Reserved:

## Data Structures
class | Builder
| The mutable `Reserved::Builder` class allows the reserved sequence to be constructed one part at a time. More...

## Public Member Functions
int32_t | numParts () const
| A `Reserved` is a sequence of literals. More...
const Literal & | getPart (int32_t i) const
| Indexes into the sequence. More...
| Reserved (const Reserved &other)
| Copy constructor. More...
Reserved & | operator= (Reserved) noexcept
| Assignment operator. More...
| Reserved ()
| Default constructor. More...
virtual | ~Reserved ()
| Destructor. More...

## Friends
class | Builder
class | Operator
void | swap (Reserved &r1, Reserved &r2) noexcept
| Non-member swap function. More...

## Detailed Description

The `Reserved` class represents a `reserved` annotation, as in the `reserved` nonterminal in the MessageFormat 2 grammar or the `Reserved` interface defined in https://github.com/unicode-org/message-format-wg/blob/main/spec/data-model.md#expressions.

`Reserved` is immutable, copyable and movable.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 76 of file messageformat2_data_model.h.

## Constructor & Destructor Documentation

## ◆ Reserved() [1/2]

icu::message2::data_model::Reserved::Reserved | ( | const Reserved & | other | ) |

Copy constructor.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## ◆ Reserved() [2/2]

icu::message2::data_model::Reserved::Reserved | ( |  | ) |
| inline

Default constructor.

Puts the Reserved into a valid but undefined state.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 195 of file messageformat2_data_model.h.

## ◆ ~Reserved()

virtual icu::message2::data_model::Reserved::~Reserved | ( |  | ) |
| virtual

Destructor.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## Member Function Documentation

## ◆ getPart()

const Literal& icu::message2::data_model::Reserved::getPart | ( | int32_t | i | ) | const

Indexes into the sequence.

Precondition: i < numParts()

Parameters

  i | Index of the part being accessed.

Returns
  A reference to he i'th literal in the sequence

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## ◆ numParts()

int32_t icu::message2::data_model::Reserved::numParts | ( |  | ) | const

A `Reserved` is a sequence of literals.

Returns
  The number of literals.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## ◆ operator=()

Reserved& icu::message2::data_model::Reserved::operator= | ( | Reserved |  | ) |
| noexcept

Assignment operator.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## Friends And Related Function Documentation

## ◆ swap

void swap | ( | Reserved & | r1,
|  | Reserved & | r2
| ) |  |
| friend

Non-member swap function.

Parameters

  r1 | will get r2's contents
  r2 | will get r1's contents

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 167 of file messageformat2_data_model.h.

The documentation for this class was generated from the following file:

- i18n/unicode/messageformat2_data_model.h